﻿/* Felder sollen nicht ausgegraut erscheinen und eine fixe breite haben*/
.flatpickr-input[readonly] {
    background-color: white; /* Fallback für IE, dieser kennt unset leider nicht und setzt so Weiß als Standard */
    background-color: unset; /* Erbt vom Parent DIV aveo-dtp*/
    display: inline-block;
    border: 0px;
    transition: none;
    box-shadow: inset 0 1px 0px rgba(0, 0, 0, .075);
    padding-right: 0px;
    height: 34px;
    border-radius: 0px;
    margin-left: 3px;
    padding-left: 9px;
}

/*Sort dafür, dass das gesamte Element den richtige Pointer hat, wenn Disabled*/
.aveo-dtp[disabled], .aveo-dtp[disabled="disabled"], .aveo-dtp[readonly], .aveo-dtp[readonly="readonly"] {
    cursor: not-allowed !important;
}

.flatpickr-input[disabled], .flatpickr-input[disabled="disabled"] {
    cursor: not-allowed !important;
}

.aveo-dtp {
    padding: 0px;
    height: 36px;
}

    .aveo-dtp:focus-within {
        border-color: #66afe9;
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    }

    .aveo-dtp a:hover {
        text-decoration: none;
        cursor: pointer;
    }

    .aveo-dtp .calendarButton {
        padding-right: 2px;
        text-decoration: none;
    }

    .aveo-dtp .clearButton {
        padding-right: 8px;
        text-decoration: none;
    }

.datepicker {
    max-width: 130px;
    min-width: 130px;
}

    .datepicker .flatpickr-input[readonly] {
        width: 83px;
        max-width: 83px;
    }


.datetimepicker {
    max-width: 165px;
    min-width: 165px;
}

    .datetimepicker .flatpickr-input[readonly] {
        width: 120px;
        max-width: 120px;
    }
